body {
  background-color: white;
  background-image: url("images/moms_joshwool_2015_grandferry_webhi.jpg");
  background-size: 117%;
  background-attachment: fixed;
  background-position: 92% bottom;
  background-repeat: no-repeat;
  font-family: garage-gothic, sans-serif;
  font-size: min(5rem, 8vw);
  color: #dcdaf0;
  color: #888888;
  text-transform: uppercase;
  letter-spacing: 0.1rem;
}

a {
  color: #655f9f;
  color: #4b4b4b;
  text-decoration: none;
  font-weight: 500;

  &:hover {
    text-decoration: underline;
  }
}

#content {
  position: relative;
  margin: auto;
  padding: min(3vh, 3vw);
}

#logo {
  transition: 0.25s;

  &:hover,
  &:active {
    transform: rotate(-2deg);
    transition: 0.5s;
  }

  > img {
    width: 100%;
    height: auto;
    filter: invert();
  }
}

#logo-horizontal {
  display: none;
}

#subtitle {
  text-transform: lowercase;
  font-style: italic;
  font-weight: 100;
  font-family: cursive;
  text-align: right;
  display: none;
}

nav {
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: space-between;
}

.nav-item {
  font-weight: bold;
  position: relative;

  &:hover,
  &:active,
  &:focus {
    color: #fb0;
  }
}

.dropdown {
  display: none;
  position: absolute;
  padding-left: 0;
  line-height: 1.2;
  width: max-content;
  text-shadow: none;
  padding: 0.5rem;
  margin: 0 -0.5rem;
  background-color: #ffffffbb;
  border-radius: 0.5rem;

  > li {
    text-transform: none;
    font-weight: 100;
    display: block;
  }
}

.nav-item:hover .dropdown,
.nav-item:active .dropdown,
.nav-item:focus .dropdown {
  display: block;
}

@media (max-aspect-ratio: 17/20) {
  .nav-item:last-child > .dropdown {
    right: 0;
    text-align: right;
  }
}

@media (min-aspect-ratio: 17/20) {
  body {
    background-size: 100%;
    font-size: min(3rem, 6vw);
  }

  #logo-horizontal {
    display: block;
  }

  #logo-stacked {
    display: none;
  }

  nav {
    justify-content: flex-start;
    margin: 0.5rem 0;
  }

  .nav-item {
    margin-right: 2rem;
  }
}

@media (min-aspect-ratio: 16/9) {
  body {
    font-size: 3vw;
    background-position: center;
  }
  #logo {
    width: 60vw;
  }
}
